For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate an agent
      • PUTUpdate an agent
      • DELDelete an agent
      • GETList agents
      • GETGet an agent
      • PUTAttach phone numbers to an outbound agent
      • DELDetach phone number from an outbound agent
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIAgents

Create an agent

||View as Markdown|
POST
/assistants
POST
/v2/assistants
$curl -X POST https://api.synthflow.ai/v2/assistants \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "outbound",
> "name": "Sales Assistant",
> "agent": {
> "prompt": "You are a helpful sales assistant for Acme Corp.",
> "greeting_message": "Hello, this is Sarah from Acme Corp. How can I help you today?",
> "llm": "gpt-4.1-Mini",
> "language": "en-US",
> "voice_id": "eleven_turbo_v2"
> }
>}'
1{
2 "status": "ok",
3 "response": {
4 "model_id": "1726559381711x108708587477942990"
5 },
6 "details": {
7 "phone": "",
8 "voice": ""
9 }
10}
Was this page helpful?
Previous

Update an agent

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
typeenumRequired
Agent type.
Allowed values:
namestringRequired
Agent name.
agentobjectRequired
descriptionstringOptional
Agent description.
phone_numberstringOptional
The phone number attached to the agent.
external_webhook_urlstringOptional
URL of the webhook that should receive data after the call, such as the transcript.
is_recordingbooleanOptional
Whether the conversation should be recorded.
max_durationobjectOptional
voicemail_messageobjectOptional

Configuration for the message left when a voicemail is detected. Requires greeting_message_mode to be set to human.

inbound_call_webhook_urlstringOptional

The URL for your inbound webhook. For more details on inbound webhooks, see About inbound call webhooks.

end_call_reasonslist of stringsOptionalDeprecated

Deprecated: use end_call_reasons_v2 instead. Custom conditions that trigger automatic call termination (simple string array format).

Response

200
statusstring
Whether the request was successful.
responseobject
detailsobject

Errors

400
Bad Request Error